<h1>What do you want to search?</h1>
<p>
  With Rosify! you can search a lot of musical content.
</p>
<form>
  <div class="form-group">
    <div class="row">
      <div class="col-md-2 input">
        <select [(ngModel)]="searchType" name="searchType" class="custom-select">
          <option value="artist">Artist</option>
          <option value="album">Album</option>
          <option value="track">Track</option>
          <option value="playlist">Playlist</option>
        </select>
      </div>
      <div class="col-md-10 input">
        <input type="text" [(ngModel)]="searchStr" name="searchStr" (keyup)="searchMusic()" class="form-control" placeholder="Search">
      </div>
    </div>
  </div>
</form>
<div *ngIf="artistRes">
  <div *ngFor="let item of artistRes" class="res">
    <div class="row">
      <div class="col-md-12">
        <div class="search-res">
          <div *ngIf="item.images.length > 0">
            <img class="artist-thumb rounded-circle" [src]="item.images[0].url">
          </div>
          <a [routerLink]="['/artist',item.id]">
            <h4 class="item-name">{{ item.name }}</h4>
          </a>
          <div>
            Genres:
            <span *ngIf="item.genres.length">
              <span *ngFor="let genre of item.genres">
                {{ genre | titlecase }},
              </span>
            </span>
            <span *ngIf="!item.genres.length">
              <span>
                Genre not found.
              </span>
            </span>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div *ngIf="albumRes">
  <ul class="row album-list">
    <li *ngFor="let album of albumRes" class="center col-md-3">
      <div class="album">
        <div *ngIf="album.images.length > 0">
          <img class="album-thumb img-thumbnail" [src]="album.images[0].url">
          <p>{{ album.name }}</p>
          <a [routerLink]="['/album/',album.id]" class="btn btn-secondary">
            Album Details
          </a>
        </div>
      </div>
    </li>
  </ul>
</div>
<div *ngIf="trackRes">
  <div *ngFor="let item of trackRes, let i = index" class="res">
    <div class="row">
      <div class="col-md-12">
        <div class="search-res">
          <a *ngIf="item.preview_url" [href]="item.preview_url" target="_blank">
            <h4 class="item-name">{{ item.name }}</h4>
          </a>
          <a *ngIf="!item.preview_url" [href]="item.external_urls.spotify" target="_blank">
            <h4 class="item-name">{{ item.name }}</h4>
          </a>
        </div>
      </div>
    </div>
  </div>
</div>
<div *ngIf="playlistRes">
  <div *ngFor="let item of playlistRes" class="res">
    <div class="row">
      <div class="col-md-12">
        <div class="search-res">
          <a [href]="item.external_urls.spotify" target="_blank">
            <h4 class="item-name">{{ item.name }}</h4>
          </a>
        </div>
      </div>
    </div>
  </div>
</div>